Bug 664619

Summary: Review Request: jspeex - Java Implementation of Speex
Product: [Fedora] Fedora Reporter: Hicham HAOUARI <hicham.haouari>
Component: Package ReviewAssignee: Stanislav Ochotnicky <sochotni>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: akurtako, fedora-package-review, notting, sochotni
Target Milestone: ---Flags: sochotni: fedora-review+
tibbs: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: jspeex-0.9.7-1.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-03-09 03:14:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Hicham HAOUARI 2010-12-21 00:55:39 UTC
Spec URL: http://hicham.fedorapeople.org/jspeex/jspeex.spec
SRPM URL: http://hicham.fedorapeople.org/jspeex/jspeex-0.9.7-1.fc14.src.rpm

Description: 

JSpeex is a Java port of the Speex speech Codec (Open Source/Free Software
patent-free audio compression format designed for speech). It provides both
the decoder and the encoder in pure Java, as well as a JavaSound SPI.

Comment 1 Stanislav Ochotnicky 2010-12-21 13:20:12 UTC
Few notes from just a quick look:
 * BuildRoot is not needed (ignore rpmlint warning)
 * rm -rf $RPM_BUILD_ROOT and %clean section not needed (see above)
 * line "%doc %{_javadocdir}/%{name}/*" in %files should be removed (duplicate entry)

Other than that package looks OK (I haven't looked at the tarball though).

Comment 2 Hicham HAOUARI 2010-12-21 14:18:09 UTC
(In reply to comment #1)
> Few notes from just a quick look:
>  * BuildRoot is not needed (ignore rpmlint warning)
>  * rm -rf $RPM_BUILD_ROOT and %clean section not needed (see above)

- I think there is no harm in keeping that, in case we want to maintain a single spec across Fedora and EPEL

>  * line "%doc %{_javadocdir}/%{name}/*" in %files should be removed (duplicate
> entry)
> 

- I believe the first entry is for directory ownership only, the second marks the files as doc ones.

> Other than that package looks OK (I haven't looked at the tarball though).

Comment 3 Stanislav Ochotnicky 2010-12-21 14:32:24 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > Few notes from just a quick look:
> >  * BuildRoot is not needed (ignore rpmlint warning)
> >  * rm -rf $RPM_BUILD_ROOT and %clean section not needed (see above)
> 
> - I think there is no harm in keeping that, in case we want to maintain a
> single spec across Fedora and EPEL

This is only needed on EL-5 and earlier. But yes, if you plan to support older EPELs keep it in.

> >  * line "%doc %{_javadocdir}/%{name}/*" in %files should be removed (duplicate
> > entry)
> > 
> 
> - I believe the first entry is for directory ownership only, the second marks
> the files as doc ones.

yes, but it's still not needed. Instead of those two lines you can just have:
%doc %{_javadocdir}/%{name}

Comment 4 Hicham HAOUARI 2010-12-21 15:37:45 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > (In reply to comment #1)
> > > Few notes from just a quick look:
> > >  * BuildRoot is not needed (ignore rpmlint warning)
> > >  * rm -rf $RPM_BUILD_ROOT and %clean section not needed (see above)
> > 
> > - I think there is no harm in keeping that, in case we want to maintain a
> > single spec across Fedora and EPEL
> 
> This is only needed on EL-5 and earlier. But yes, if you plan to support older
> EPELs keep it in.
> 
> > >  * line "%doc %{_javadocdir}/%{name}/*" in %files should be removed (duplicate
> > > entry)
> > > 
> > 
> > - I believe the first entry is for directory ownership only, the second marks
> > the files as doc ones.
> 
> yes, but it's still not needed. Instead of those two lines you can just have:
> %doc %{_javadocdir}/%{name}

Ok, removed the duplicate line

Comment 5 Stanislav Ochotnicky 2011-02-01 12:33:17 UTC
I'll do the review

Comment 6 Stanislav Ochotnicky 2011-02-01 13:02:02 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output: emtpy
[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[!]  Buildroot definition is not present

Unless you plan EPEL-5 package, you should remove this

[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: BSD with advertising
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[!]  All independent sub-packages have license of their own
javadoc subpackage is missing license
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : a568efa4a6aa3c218ca4a37e5231685c
MD5SUM upstream package: a568efa4a6aa3c218ca4a37e5231685c
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[!]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
I have a feeling you are planning EPEL-5 build, but if that's not the case you should remove rm-rfs
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[-]  If package contains pom.xml files install it (including depmaps) even when building with ant
[-]  pom files has correct add_to_maven_depmap call which resolves to the pom file (use "JPP." and "JPP-" correctly)


=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on: rawhide-x86_64


=== Issues ===
1. License in javadoc subpackage
2. EPEL-specifics cleanup (if they are not needed - depends on you)

All in all, nicely done. Provided you add license to javadoc subpackage this package is

================
*** APPROVED ***
================

Comment 7 Alexander Kurtakov 2011-02-17 18:49:17 UTC
Can this be finished and removed from the JAVA SIG bug tracker?

Comment 8 Hicham HAOUARI 2011-02-18 12:51:18 UTC
Sorry, I will finish it ASAP.

Comment 9 Alexander Kurtakov 2011-03-03 15:35:15 UTC
I'm dropping the blocks on FE-JAVASIG. The package is reviewed and there is nothing more the Java SIG can do.

Comment 10 Hicham HAOUARI 2011-03-03 22:38:26 UTC
Thanks Stanislav for reviewing this package

Comment 11 Hicham HAOUARI 2011-03-03 22:39:34 UTC
New Package SCM Request
=======================
Package Name: jspeex
Short Description: Java Implementation of Speex
Owners: hicham
Branches: f14 f15
InitialCC: hicham

Comment 12 Jason Tibbitts 2011-03-04 13:08:17 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2011-03-04 13:49:38 UTC
Package jspeex-0.9.7-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jspeex-0.9.7-1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/jspeex-0.9.7-1.fc15
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2011-03-04 14:00:14 UTC
Package jspeex-0.9.7-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jspeex-0.9.7-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/jspeex-0.9.7-1.fc14
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2011-03-05 02:26:41 UTC
jspeex-0.9.7-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jspeex'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/jspeex-0.9.7-1.fc15

Comment 16 Fedora Update System 2011-03-09 03:14:20 UTC
jspeex-0.9.7-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 17 Fedora Update System 2011-03-12 22:54:32 UTC
jspeex-0.9.7-1.fc14 has been pushed to the Fedora 14 stable repository.